Package org.eclipse.microprofile.openapi.models.media

# Enum Encoding.Style

java.lang.Object
java.lang.Enum<Encoding.Style>
org.eclipse.microprofile.openapi.models.media.Encoding.Style

All Implemented Interfaces:
  `Serializable`, `Comparable<Encoding.Style>`

Enclosing interface:
  Encoding

public static enum Encoding.Style extends Enum<Encoding.Style>

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`DEEP_OBJECT`
`FORM`
`PIPE_DELIMITED`
`SPACE_DELIMITED`

## Method Summary

Modifier and Type
Method
Description
`String`
`toString()`
`static Encoding.Style`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static Encoding.Style[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### FORM

public static final Encoding.Style FORM

### SPACE_DELIMITED

public static final Encoding.Style SPACE_DELIMITED

### PIPE_DELIMITED

public static final Encoding.Style PIPE_DELIMITED

### DEEP_OBJECT

public static final Encoding.Style DEEP_OBJECT

## Method Details

### values

public static Encoding.Style[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static Encoding.Style valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### toString

public String toString()

Overrides:
  `toString` in class `Enum<Encoding.Style>`